package com.bcxin.ins.weixin.product.service;

import com.bcxin.ins.core.entity.R;

import java.util.Map;

/**
 * @Author: wuxiaozhen
 * @Date: 2018/6/29 10:10
 * @Description:
 */

public interface OnLineOfferService {

    public void buildProposal(Map<String, Object> param);

    /**
     * 将HTML文件生成PDF文件
     * @param param
     * @return
     */
    R buildPDF(Map<String,Object> param);

    /**
     * 团险页面条件获取下一个条件限制
     * @param param
     * @return
     */
    R matching(Map<String,Object> param);
}
